Module java.base
Package java.lang

## Class NumberFormatException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalArgumentException
        - - java.lang.NumberFormatException

- All Implemented Interfaces:
    `Serializable`

      public class NumberFormatException
      extends IllegalArgumentException

  Thrown to indicate that the application has attempted to convert a string to one of the numeric types, but that the string does not have the appropriate format.
  Since:
    1.0
  See Also:
    `Integer.parseInt(String)`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NumberFormatException​()` | Constructs a `NumberFormatException` with no detail message.
    `NumberFormatException​(String s)` | Constructs a `NumberFormatException` with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

- - ### Constructor Detail

    - #### NumberFormatException

          public NumberFormatException​()

      Constructs a `NumberFormatException` with no detail message.

    - #### NumberFormatException

          public NumberFormatException​(String s)

      Constructs a `NumberFormatException` with the specified detail message.
      Parameters:
        `s` - the detail message.